--- ./include/class.mail_queue.php	2007-07-02 17:35:20.798112026 +0300
+++ /usr/share/eventum/include/class.mail_queue.php	2007-09-25 11:50:22.792898830 +0300
@@ -110,12 +110,12 @@
             $headers['To'] = Mail_API::fixAddressQuoting($headers['To']);
         }
 
-        $prepared_headers = Mail_API::prepareHeaders($headers);
-        if (PEAR::isError($prepared_headers)) {
-            print_r(debug_backtrace());
-            return;
+        $res = Mail_API::prepareHeaders($headers);
+        if (PEAR::isError($res)) {
+            Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
+            return $res;
         }
-        list(,$text_headers) = $prepared_headers;
+        list(,$text_headers) = $res;
 
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "mail_queue
